org.opencv.imgproc

## Class Moments

- java.lang.Object
- - org.opencv.imgproc.Moments

-     public class Moments
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `double` | `m00`
    `double` | `m01`
    `double` | `m02`
    `double` | `m03`
    `double` | `m10`
    `double` | `m11`
    `double` | `m12`
    `double` | `m20`
    `double` | `m21`
    `double` | `m30`
    `double` | `mu02`
    `double` | `mu03`
    `double` | `mu11`
    `double` | `mu12`
    `double` | `mu20`
    `double` | `mu21`
    `double` | `mu30`
    `double` | `nu02`
    `double` | `nu03`
    `double` | `nu11`
    `double` | `nu12`
    `double` | `nu20`
    `double` | `nu21`
    `double` | `nu30`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Moments()`
    `Moments(double[] vals)`
    `Moments(double m00, double m10, double m01, double m20, double m11, double m02, double m30, double m21, double m12, double m03)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `completeState()`
    `double` | `get_m00()`
    `double` | `get_m01()`
    `double` | `get_m02()`
    `double` | `get_m03()`
    `double` | `get_m10()`
    `double` | `get_m11()`
    `double` | `get_m12()`
    `double` | `get_m20()`
    `double` | `get_m21()`
    `double` | `get_m30()`
    `double` | `get_mu02()`
    `double` | `get_mu03()`
    `double` | `get_mu11()`
    `double` | `get_mu12()`
    `double` | `get_mu20()`
    `double` | `get_mu21()`
    `double` | `get_mu30()`
    `double` | `get_nu02()`
    `double` | `get_nu03()`
    `double` | `get_nu11()`
    `double` | `get_nu12()`
    `double` | `get_nu20()`
    `double` | `get_nu21()`
    `double` | `get_nu30()`
    `void` | `set_m00(double m00)`
    `void` | `set_m01(double m01)`
    `void` | `set_m02(double m02)`
    `void` | `set_m03(double m03)`
    `void` | `set_m10(double m10)`
    `void` | `set_m11(double m11)`
    `void` | `set_m12(double m12)`
    `void` | `set_m20(double m20)`
    `void` | `set_m21(double m21)`
    `void` | `set_m30(double m30)`
    `void` | `set_mu02(double mu02)`
    `void` | `set_mu03(double mu03)`
    `void` | `set_mu11(double mu11)`
    `void` | `set_mu12(double mu12)`
    `void` | `set_mu20(double mu20)`
    `void` | `set_mu21(double mu21)`
    `void` | `set_mu30(double mu30)`
    `void` | `set_nu02(double nu02)`
    `void` | `set_nu03(double nu03)`
    `void` | `set_nu11(double nu11)`
    `void` | `set_nu12(double nu12)`
    `void` | `set_nu20(double nu20)`
    `void` | `set_nu21(double nu21)`
    `void` | `set_nu30(double nu30)`
    `void` | `set(double[] vals)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### m00

          public double m00

    - #### m10

          public double m10

    - #### m01

          public double m01

    - #### m20

          public double m20

    - #### m11

          public double m11

    - #### m02

          public double m02

    - #### m30

          public double m30

    - #### m21

          public double m21

    - #### m12

          public double m12

    - #### m03

          public double m03

    - #### mu20

          public double mu20

    - #### mu11

          public double mu11

    - #### mu02

          public double mu02

    - #### mu30

          public double mu30

    - #### mu21

          public double mu21

    - #### mu12

          public double mu12

    - #### mu03

          public double mu03

    - #### nu20

          public double nu20

    - #### nu11

          public double nu11

    - #### nu02

          public double nu02

    - #### nu30

          public double nu30

    - #### nu21

          public double nu21

    - #### nu12

          public double nu12

    - #### nu03

          public double nu03

  - ### Constructor Detail

    - #### Moments

          public Moments(double m00,
                         double m10,
                         double m01,
                         double m20,
                         double m11,
                         double m02,
                         double m30,
                         double m21,
                         double m12,
                         double m03)

    - #### Moments

          public Moments()

    - #### Moments

          public Moments(double[] vals)

  - ### Method Detail

    - #### set

          public void set(double[] vals)

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### completeState

          protected void completeState()

    - #### get_m00

          public double get_m00()

    - #### get_m10

          public double get_m10()

    - #### get_m01

          public double get_m01()

    - #### get_m20

          public double get_m20()

    - #### get_m11

          public double get_m11()

    - #### get_m02

          public double get_m02()

    - #### get_m30

          public double get_m30()

    - #### get_m21

          public double get_m21()

    - #### get_m12

          public double get_m12()

    - #### get_m03

          public double get_m03()

    - #### get_mu20

          public double get_mu20()

    - #### get_mu11

          public double get_mu11()

    - #### get_mu02

          public double get_mu02()

    - #### get_mu30

          public double get_mu30()

    - #### get_mu21

          public double get_mu21()

    - #### get_mu12

          public double get_mu12()

    - #### get_mu03

          public double get_mu03()

    - #### get_nu20

          public double get_nu20()

    - #### get_nu11

          public double get_nu11()

    - #### get_nu02

          public double get_nu02()

    - #### get_nu30

          public double get_nu30()

    - #### get_nu21

          public double get_nu21()

    - #### get_nu12

          public double get_nu12()

    - #### get_nu03

          public double get_nu03()

    - #### set_m00

          public void set_m00(double m00)

    - #### set_m10

          public void set_m10(double m10)

    - #### set_m01

          public void set_m01(double m01)

    - #### set_m20

          public void set_m20(double m20)

    - #### set_m11

          public void set_m11(double m11)

    - #### set_m02

          public void set_m02(double m02)

    - #### set_m30

          public void set_m30(double m30)

    - #### set_m21

          public void set_m21(double m21)

    - #### set_m12

          public void set_m12(double m12)

    - #### set_m03

          public void set_m03(double m03)

    - #### set_mu20

          public void set_mu20(double mu20)

    - #### set_mu11

          public void set_mu11(double mu11)

    - #### set_mu02

          public void set_mu02(double mu02)

    - #### set_mu30

          public void set_mu30(double mu30)

    - #### set_mu21

          public void set_mu21(double mu21)

    - #### set_mu12

          public void set_mu12(double mu12)

    - #### set_mu03

          public void set_mu03(double mu03)

    - #### set_nu20

          public void set_nu20(double nu20)

    - #### set_nu11

          public void set_nu11(double nu11)

    - #### set_nu02

          public void set_nu02(double nu02)

    - #### set_nu30

          public void set_nu30(double nu30)

    - #### set_nu21

          public void set_nu21(double nu21)

    - #### set_nu12

          public void set_nu12(double nu12)

    - #### set_nu03

          public void set_nu03(double nu03)

Generated on Wed Oct 9 2019 16:55:37 UTC / OpenCV 3.4.8